%define module  Test-MockObject
%define version 0.20
%define release 1mdk

Name: 		perl-%{module}
Version: 	%{version}
Release: 	%{release}
Summary: 	Perl extension for emulating troublesome interfaces
License: 	GPL or Artistic
Group: 		Development/Perl
Source: 	http://search.cpan.org/CPAN/authors/id/K/KN/KNIGHT/%{module}-%{version}.tar.bz2
Url:            http://search.cpan.org/dist/%{module}/
BuildArch: 	noarch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif

%description 
It's a simple program that doesn't use any other modules, and those are easy to
test. More often, testing a program completely means faking up input to another
module, trying to coax the right output from something you're not supposed to
be testing anyway.

Testing is a lot easier when you can control the entire environment. With
Test::MockObject, you can get a lot closer.

Test::MockObject allows you to create objects that conform to particular
interfaces with very little code. You don't have to reimplement the behavior,
just the input and the output.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor <<EOF
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
%make test

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Test
%{_mandir}/*/*

%changelog
* Tue Dec 21 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.20-1mdk
- 0.20

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.14-2mdk
- fix buildrequires in a backward compatible way

* Sun Sep 12 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.14-1mdk 
- first mdk release
